package com.ygtx.gxt.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 维修工单工作组员名单对象 gxt_repair_order_person
 * 
 * @author ouyj
 * @date 2025-11-01
 */
public class GxtRepairOrderPerson extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String nickName;

    /** 工单ID */
    @Excel(name = "工单ID")
    private Long orderId;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String orderCode;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 账号 */
    private String userName;

    /** 自评得分 */
    @Excel(name = "自评得分")
    private Double selfScore;

    /** 复评得分 */
    @Excel(name = "复评得分")
    private Double reviewScore;

    /** 终评得分 */
    @Excel(name = "终评得分")
    private Double finalScore;

    /** 是否工作负责人（0-否，1-是） */
    @Excel(name = "是否工作负责人", readConverterExp = "0=否,1=是")
    private Integer isLeader;

    /** 反馈理由 */
    private String feedbackReason;

    /** 确认状态（0-未确认，1-确认，2-已反馈） */
    private Integer confirmStatus;

    private String monthPeriod;

    private BigDecimal score;

    /** 额外工分 */
    private Double extraScore;

    /** 总分 */
    private Double totalScore;

    /** 运行得分 */
    @Excel(name = "运行得分")
    private Double runScore;

    /** 停机扣分 */
    @Excel(name = "停机扣分")
    private Double stopScore;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Double getSelfScore() {
        return selfScore;
    }

    public void setSelfScore(Double selfScore) {
        this.selfScore = selfScore;
    }

    public Double getReviewScore() {
        return reviewScore;
    }

    public void setReviewScore(Double reviewScore) {
        this.reviewScore = reviewScore;
    }

    public Double getFinalScore() {
        return finalScore;
    }

    public void setFinalScore(Double finalScore) {
        this.finalScore = finalScore;
    }

    public Integer getIsLeader() {
        return isLeader;
    }

    public void setIsLeader(Integer isLeader) {
        this.isLeader = isLeader;
    }

    public String getFeedbackReason() {
        return feedbackReason;
    }

    public void setFeedbackReason(String feedbackReason) {
        this.feedbackReason = feedbackReason;
    }

    public Integer getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(Integer confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public String getMonthPeriod() {
        return monthPeriod;
    }

    public void setMonthPeriod(String monthPeriod) {
        this.monthPeriod = monthPeriod;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public Double getExtraScore() {
        return extraScore;
    }

    public void setExtraScore(Double extraScore) {
        this.extraScore = extraScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setRunScore(Double runScore) {
        this.runScore = runScore;
    }

    public Double getRunScore() {
        return runScore;
    }

    public void setStopScore(Double stopScore) {
        this.stopScore = stopScore;
    }

    public Double getStopScore() {
        return stopScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("nickName", getNickName())
            .append("orderId", getOrderId())
            .append("orderCode", getOrderCode())
            .append("status", getStatus())
            .append("selfScore", getSelfScore())
            .append("reviewScore", getReviewScore())
            .append("finalScore", getFinalScore())
            .append("isLeader", getIsLeader())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("extraScore", getExtraScore())
            .append("totalScore", getTotalScore())
            .append("runScore", getRunScore())
            .append("stopScore", getStopScore())
            .toString();
    }
}